The report designer is available as a component too, and it also supports themes. This example applies a theme to the designer.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
@Component({
    selector: "changing-the-designer-theme",
    imports: [Designer],
    template: `<sti-designer [report]="report" [options]="designerOptions"></sti-designer>`
})
export class ChangingTheDesignerTheme {
    report = new Stimulsoft.Report.StiReport();
    designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
    constructor() {
        this.report.loadFile("Reports/SimpleList.mrt");
        this.designerOptions.appearance.theme = Stimulsoft.Designer.StiDesignerTheme.Office2022WhiteViolet;
        this.designerOptions.appearance.fullScreenMode = true;
    }
}
The designer component mirrors the viewer's API: it takes a report and a StiDesignerOptions object whose appearance.theme (from StiDesignerTheme) sets the interface style.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

The report designer is available as a component too, and it also supports themes. This example applies a theme to the designer.

Designer setup. Configure the designer, load the report template, process its callbacks, and connect the save action to the application.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/designer';

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");

var designerOptions = new Stimulsoft.Designer.StiDesignerOptions();
designerOptions.appearance.theme = Stimulsoft.Designer.StiDesignerTheme.Office2022WhiteViolet;
designerOptions.appearance.fullScreenMode = true;
</script>

<template>
    <Designer :report="report" :options="designerOptions" />
</template>
The designer component mirrors the viewer's API: it takes a report and a StiDesignerOptions object whose appearance.theme (from StiDesignerTheme) sets the interface style.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.